#
# Conditional build:
%bcond_without	selinux	# disable SELinux support
#
Summary:	A very fast, POSIX compliant tape archiver
Summary(pl.UTF-8):	Szybki, zgodny z POSIX program do archiwizacji
Name:		star
Version:	1.5.2
Release:	1
License:	CDDL v1.0
Group:		Applications/File
Source0:	ftp://ftp.berlios.de/pub/star/%{name}-%{version}.tar.bz2
# Source0-md5:	5c15cedb52e26b02b95c82de08c5fcc1
# based on http://www.nsa.gov/selinux/patches/star-selinux.patch.gz
Patch0:		%{name}-selinux.patch
Patch1:		%{name}-ac26.patch
Patch2:		%{name}-strtod.patch
URL:		http://cdrecord.berlios.de/old/private/star.html
BuildRequires:	acl-devel
BuildRequires:	autoconf
BuildRequires:	automake
%{?with_selinux:BuildRequires:	libselinux-devel}
BuildRequires:	perl-base
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Star is a very fast, POSIX-compliant tar archiver. It reads and writes
POSIX compliant tar archives as well as non-POSIX GNU tar archives.
Star is the first free POSIX.1-200x compliant tar implementation. It
saves many files together into a single tape or disk archive, and can
restore individual files from the archive.

It includes a FIFO for speed, a pattern matcher, multivolume support,
the ability to archive sparse files, automatic archive format
detection, automatic byte order recognition, automatic archive
compression / decompression, remote archives, and special features
that allow star to be used for full backups. This package contains the
getfacl and setfacl utilities needed for manipulating access control
lists.

It includes the only known platform independant "rmt" server program
that hides Linux incompatibilities. The "rmt" server from the star
package implements all Sun/GNU/Schily/BSD enhancements and allows any
"rmt" client from any OS to contact any OS as server.

%description -l pl.UTF-8
Star jest szybkim, zgodnym z POSIX archiwizerem tar. Potrafi czytać i
zapisywać archiwa tar zgodne z POSIX, a także nie-posiksowe archiwa
GNU. Star jest pierwszą wolnodostępną implementacją tara zgodną z
normą POSIX.1-200x. Zapisuje łącznie wiele plików na jednej taśmie lub
dysku i może odtwarzać z archiwum pojedyncze pliki.

Ma kolejkę FIFO (dla przyspieszenia operacji), dopasowywanie wzorców,
obsługę archiwów wieloczęściowych, możliwość archiwizacji plików
rzadkich, automatyczne wykrywanie formatu archiwów i kolejności bajtów
w słowie, automatyczną kompresję i dekompresję, obsługę zdalnych
archiwów oraz dodatkowe możliwości umożliwiające wykonywanie pełnych
kopii zapasowych. Ten pakiet zawiera narzędzia getfacl i setfacl
potrzebne do modyfikacji list kontroli dostępu (ACL).

Pakiet zawiera też niezależny od platformy serwer rmt, który ma
zaimplementowane wszystkie rozszerzenia Sun/GNU/Schily/BSD i pozwala
na dostęp klientem rmt z dowolnego systemu operacyjnego.

%prep
%setup -q
%{?with_selinux:%patch0 -p1}
%patch1 -p1
%patch2 -p1

# new ac doesn't like comments in the same line as #undef
%{__perl} -pi -e 's@/\*.*\*/@@g' autoconf/xconfig.h.in
# kill annoying beep and sleep
%{__perl} -pi -e 's/^__gmake_warn.*//' RULES/mk-gmake.id

%build
cd autoconf
./autoconf
cd ..
%{__make} \
	COPTOPT="%{rpmcflags}" \
	COPTGPROF="" \
	CC="%{__cc}" \
	LDCC="%{__cc}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/default

%{__make} -j1 install \
	INS_BASE=$RPM_BUILD_ROOT%{_prefix} \
	INS_RBASE=$RPM_BUILD_ROOT

install rmt/rmt.dfl $RPM_BUILD_ROOT%{_sysconfdir}/default/rmt
install star/star.dfl $RPM_BUILD_ROOT%{_sysconfdir}/default/star

# unwanted here (command conflict with tar and mt-st)
%{__rm} $RPM_BUILD_ROOT%{_bindir}/{mt,tar}
%{__rm} $RPM_BUILD_ROOT%{_mandir}/man1/mt.1

# cleanup unpackaged stuff
%{__rm} -r $RPM_BUILD_ROOT{%{_includedir},%{_prefix}/lib,%{_datadir}/doc}
%{__rm} -r $RPM_BUILD_ROOT%{_mandir}/{man3,man5/make*.5*}

echo '.so star.1' > $RPM_BUILD_ROOT%{_mandir}/man1/ustar.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AN-%{version} CDDL.* Changelog READMEs/README.linux STATUS.alpha TODO
%doc star/README* star/STARvsGNUTAR
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/default/rmt
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/default/star
%attr(755,root,root) %{_bindir}/gnutar
%attr(755,root,root) %{_bindir}/scpio
%attr(755,root,root) %{_bindir}/smt
%attr(755,root,root) %{_bindir}/spax
%attr(755,root,root) %{_bindir}/star
%attr(755,root,root) %{_bindir}/star_sym
%attr(755,root,root) %{_bindir}/suntar
%attr(755,root,root) %{_bindir}/tartest
%attr(755,root,root) %{_bindir}/ustar
%attr(755,root,root) %{_sbindir}/rmt
%{_mandir}/man1/gnutar.1*
%{_mandir}/man1/match.1*
%{_mandir}/man1/scpio.1*
%{_mandir}/man1/spax.1*
%{_mandir}/man1/star.1*
%{_mandir}/man1/suntar.1*
%{_mandir}/man1/tartest.1*
%{_mandir}/man1/ustar.1*
%{_mandir}/man1/smt.1*
%{_mandir}/man1/rmt.1*
%{_mandir}/man5/star.5*
%changelog
* Sun Jul 07 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/star.git;a=log;h=master

* Wed Jan 30 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 859b5d5
- Fix build

* Sat Jan 12 2013 Jakub Bogusz <qboosh@pld-linux.org> e7ac894
- updated to 1.5.2
- updated ac26 patch

* Mon Nov 29 2010 Jan Rękorajski <baggins@pld-linux.org> 3b1c474
- rel 2
- package match(1) man page, it is needed

* Fri Nov 26 2010 Jan Rękorajski <baggins@pld-linux.org> 3f181f7
- rel 1

* Fri Nov 26 2010 Jan Rękorajski <baggins@pld-linux.org> 040bec3
- outdated

* Fri Nov 26 2010 Jan Rękorajski <baggins@pld-linux.org> a56a778
- updated to 1.5.1
- schilly's idea of autoconf means not using standard tools :/

* Fri Aug 28 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> dda041f
- add patch

* Fri Aug 28 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> e3ece79
- rel 3; build fixed

* Wed May 28 2008 Elan Ruusamäe <glen@pld-linux.org> 02b3885
- release 2

* Thu May 15 2008 Jakub Bogusz <qboosh@pld-linux.org> b06270b
- specify individual config files

* Wed May 14 2008 Jan Rękorajski <baggins@pld-linux.org> 81aeee5
- revised doc
- added default configs for star and rmt

* Wed May 14 2008 Jan Rękorajski <baggins@pld-linux.org> 264f078
- up to 1.5 final

* Wed May 14 2008 Jan Rękorajski <baggins@pld-linux.org> f48a493
- there is no XEXEEXT in autoconf 2.6x

* Wed May 14 2008 Jan Rękorajski <baggins@pld-linux.org> 4330139
- updated to 1.5

* Wed May 14 2008 Jan Rękorajski <baggins@pld-linux.org> 41c27c1
- outdated

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 8f99d29
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> da02e90
- converted to UTF-8

* Wed Nov 16 2005 areq <areq@pld-linux.org> 9c368a9
- 1.5.a70

* Sat Oct 08 2005 areq <areq@pld-linux.org> c3c48da
- 1.5.a68

* Sun Sep 11 2005 areq <areq@pld-linux.org> 8c55ce7
- 1.5a67

